<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/Alerts/src/AlertsCapabilityAgent.cpp File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_6a3d888c77d91a2c06c3ff7a43c42895.html">Alerts</a></li><li class="navelem"><a class="el" href="dir_88b1bb53c337da1d62e70e0c33265813.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">AlertsCapabilityAgent.cpp File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="_alerts_capability_agent_8h_source.html">Alerts/AlertsCapabilityAgent.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_alarm_8h_source.html">Alerts/Alarm.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_reminder_8h_source.html">Alerts/Reminder.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_s_q_lite_alert_storage_8h_source.html">Alerts/Storage/SQLiteAlertStorage.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_capability_agents_2_alerts_2include_2_alerts_2_timer_8h_source.html">Alerts/Timer.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="_capability_configuration_8h_source.html">AVSCommon/AVS/CapabilityConfiguration.h</a>&quot;</code><br />
<code>#include &lt;<a class="el" href="_message_request_8h_source.html">AVSCommon/AVS/MessageRequest.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_speaker_constants_8h_source.html">AVSCommon/AVS/SpeakerConstants/SpeakerConstants.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_file_utils_8h_source.html">AVSCommon/Utils/File/FileUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_j_s_o_n_utils_8h_source.html">AVSCommon/Utils/JSON/JSONUtils.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="_time_utils_8h_source.html">AVSCommon/Utils/Timing/TimeUtils.h</a>&gt;</code><br />
<code>#include &lt;rapidjson/stringbuffer.h&gt;</code><br />
<code>#include &lt;rapidjson/writer.h&gt;</code><br />
<code>#include &lt;fstream&gt;</code><br />
<code>#include &lt;algorithm&gt;</code><br />
<code>#include &lt;unordered_map&gt;</code><br />
<code>#include &lt;unordered_set&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for AlertsCapabilityAgent.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_alerts_capability_agent_8cpp__incl.png" border="0" usemap="#_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2src_2_alerts_capability_agent_8cpp" alt=""/></div>
<map name="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2src_2_alerts_capability_agent_8cpp" id="_2workplace_2avs-device-sdk_2_capability_agents_2_alerts_2src_2_alerts_capability_agent_8cpp">
<area shape="rect" id="node2" href="_alerts_capability_agent_8h.html" title="Alerts/AlertsCapabilityAgent.h" alt="" coords="1430,125,1628,151"/>
<area shape="rect" id="node20" href="_message_request_8h.html" title="AVSCommon/AVS/MessageRequest.h" alt="" coords="571,385,821,411"/>
<area shape="rect" id="node25" href="_capability_configuration_8h.html" title="AVSCommon/AVS/Capability\lConfiguration.h" alt="" coords="2536,379,2728,417"/>
<area shape="rect" id="node36" href="_alarm_8h.html" title="Alerts/Alarm.h" alt="" coords="2378,212,2483,237"/>
<area shape="rect" id="node37" href="_reminder_8h.html" title="Alerts/Reminder.h" alt="" coords="2558,212,2685,237"/>
<area shape="rect" id="node38" href="_s_q_lite_alert_storage_8h.html" title="Alerts/Storage/SQLiteAlert\lStorage.h" alt="" coords="2708,205,2886,244"/>
<area shape="rect" id="node41" href="_capability_agents_2_alerts_2include_2_alerts_2_timer_8h.html" title="Alerts/Timer.h" alt="" coords="2772,125,2876,151"/>
<area shape="rect" id="node42" href="_speaker_constants_8h.html" title="AVSCommon/AVS/SpeakerConstants\l/SpeakerConstants.h" alt="" coords="3555,205,3799,244"/>
<area shape="rect" id="node44" href="_file_utils_8h.html" title="AVSCommon/Utils/File\l/FileUtils.h" alt="" coords="3231,119,3387,157"/>
<area shape="rect" id="node45" href="_j_s_o_n_utils_8h.html" title="AVSCommon/Utils/JSON\l/JSONUtils.h" alt="" coords="3488,379,3658,417"/>
<area shape="rect" id="node46" href="_time_utils_8h.html" title="AVSCommon/Utils/Timing\l/TimeUtils.h" alt="" coords="3377,465,3551,504"/>
<area shape="rect" id="node3" href="_alert_observer_interface_8h.html" title="Alerts/AlertObserverInterface.h" alt="" coords="1810,472,2014,497"/>
<area shape="rect" id="node5" href="_alert_8h.html" title="Alerts/Alert.h" alt="" coords="2363,385,2461,411"/>
<area shape="rect" id="node6" href="_focus_state_8h.html" title="AVSCommon/AVS/FocusState.h" alt="" coords="2095,472,2308,497"/>
<area shape="rect" id="node7" href="_a_v_s_common_2_utils_2include_2_a_v_s_common_2_utils_2_timing_2_timer_8h.html" title="AVSCommon/Utils/Timing\l/Timer.h" alt="" coords="1430,465,1604,504"/>
<area shape="rect" id="node15" href="_alert_scheduler_8h.html" title="Alerts/AlertScheduler.h" alt="" coords="1944,212,2101,237"/>
<area shape="rect" id="node18" href="_customer_data_handler_8h.html" title="RegistrationManager\l/CustomerDataHandler.h" alt="" coords="1037,292,1205,331"/>
<area shape="rect" id="node19" href="_capability_agent_8h.html" title="AVSCommon/AVS/Capability\lAgent.h" alt="" coords="2146,379,2339,417"/>
<area shape="rect" id="node26" href="_alerts_audio_factory_interface_8h.html" title="AVSCommon/SDKInterfaces\l/Audio/AlertsAudioFactoryInterface.h" alt="" coords="1229,292,1467,331"/>
<area shape="rect" id="node27" href="_capability_configuration_interface_8h.html" title="AVSCommon/SDKInterfaces\l/CapabilityConfigurationInterface.h" alt="" coords="1592,292,1818,331"/>
<area shape="rect" id="node28" href="_connection_status_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ConnectionStatusObserverInterface.h" alt="" coords="360,292,608,331"/>
<area shape="rect" id="node29" href="_context_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/ContextManagerInterface.h" alt="" coords="939,205,1130,244"/>
<area shape="rect" id="node30" href="_focus_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/FocusManagerInterface.h" alt="" coords="1475,379,1666,417"/>
<area shape="rect" id="node31" href="_message_sender_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageSenderInterface.h" alt="" coords="145,292,335,331"/>
<area shape="rect" id="node32" href="_speaker_manager_interface_8h.html" title="AVSCommon/SDKInterfaces\l/SpeakerManagerInterface.h" alt="" coords="1159,205,1350,244"/>
<area shape="rect" id="node33" href="_requires_shutdown_8h.html" title="AVSCommon/Utils/Requires\lShutdown.h" alt="" coords="845,379,1033,417"/>
<area shape="rect" id="node34" href="_executor_8h.html" title="AVSCommon/Utils/Threading\l/Executor.h" alt="" coords="353,379,548,417"/>
<area shape="rect" id="node35" href="_certified_sender_8h.html" title="CertifiedSender/Certified\lSender.h" alt="" coords="562,205,729,244"/>
<area shape="rect" id="node10" href="_logger_utils_8h.html" title="AVSCommon/Utils/Logger\l/LoggerUtils.h" alt="" coords="2463,552,2639,591"/>
<area shape="rect" id="node16" href="_alert_storage_interface_8h.html" title="Alerts/Storage/AlertStorage\lInterface.h" alt="" coords="2608,292,2792,331"/>
<area shape="rect" id="node23" href="_attachment_reader_8h.html" title="AVSCommon/AVS/Attachment\l/AttachmentReader.h" alt="" coords="970,552,1171,591"/>
<area shape="rect" id="node24" href="_message_request_observer_interface_8h.html" title="AVSCommon/SDKInterfaces\l/MessageRequestObserverInterface.h" alt="" coords="630,465,877,504"/>
<area shape="rect" id="node39" href="_configuration_node_8h.html" title="AVSCommon/Utils/Configuration\l/ConfigurationNode.h" alt="" coords="3098,379,3312,417"/>
<area shape="rect" id="node40" href="_s_q_lite_database_8h.html" title="SQLiteStorage/SQLiteDatabase.h" alt="" coords="2853,385,3075,411"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespacealexa_client_s_d_k"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></td></tr>
<tr class="memdesc:namespacealexa_client_s_d_k"><td class="mdescLeft">&#160;</td><td class="mdescRight">Whether or not curl logs should be emitted. <br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents.html">alexaClientSDK::capabilityAgents</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html">alexaClientSDK::capabilityAgents::alerts</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_alerts_capability_agent_8cpp.html#ad8bc9ca8e55a0ebf538e46e28bf26262">LX</a>(event)&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td></tr>
<tr class="separator:ad8bc9ca8e55a0ebf538e46e28bf26262"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a87dd1b51e0568c9c274d80354025ab27"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a87dd1b51e0568c9c274d80354025ab27">alexaClientSDK::capabilityAgents::alerts::TAG</a> (&quot;AlertsCapabilityAgent&quot;)</td></tr>
<tr class="memdesc:a87dd1b51e0568c9c274d80354025ab27"><td class="mdescLeft">&#160;</td><td class="mdescRight">String to identify log entries originating from this file.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a87dd1b51e0568c9c274d80354025ab27">More...</a><br /></td></tr>
<tr class="separator:a87dd1b51e0568c9c274d80354025ab27"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae70369771f2568cbc19cff33010cd4a2"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; avsCommon::avs::CapabilityConfiguration &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ae70369771f2568cbc19cff33010cd4a2">alexaClientSDK::capabilityAgents::alerts::getAlertsCapabilityConfiguration</a> ()</td></tr>
<tr class="separator:ae70369771f2568cbc19cff33010cd4a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8c1d87db90f40aaeebad475524d6aaa"><td class="memItemLeft" align="right" valign="top">static rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ae8c1d87db90f40aaeebad475524d6aaa">alexaClientSDK::capabilityAgents::alerts::buildAllAlertsContext</a> (const std::vector&lt; Alert::ContextInfo &gt; &amp;alertsInfo, Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:ae8c1d87db90f40aaeebad475524d6aaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a213f4072a5996b67facaa6af371cde9c"><td class="memItemLeft" align="right" valign="top">static rapidjson::Value&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a213f4072a5996b67facaa6af371cde9c">alexaClientSDK::capabilityAgents::alerts::buildActiveAlertsContext</a> (const std::vector&lt; Alert::ContextInfo &gt; &amp;alertsInfo, Document::AllocatorType &amp;allocator)</td></tr>
<tr class="separator:a213f4072a5996b67facaa6af371cde9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ade0cd4be7b5d8a1df1d98284a5760f0f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ade0cd4be7b5d8a1df1d98284a5760f0f">alexaClientSDK::capabilityAgents::alerts::ALERTS_CAPABILITY_INTERFACE_TYPE</a> = &quot;AlexaInterface&quot;</td></tr>
<tr class="separator:ade0cd4be7b5d8a1df1d98284a5760f0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36e1d2298e53a7f5efd8655c92e9a411"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a36e1d2298e53a7f5efd8655c92e9a411">alexaClientSDK::capabilityAgents::alerts::ALERTS_CAPABILITY_INTERFACE_NAME</a> = &quot;Alerts&quot;</td></tr>
<tr class="memdesc:a36e1d2298e53a7f5efd8655c92e9a411"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alerts interface name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a36e1d2298e53a7f5efd8655c92e9a411">More...</a><br /></td></tr>
<tr class="separator:a36e1d2298e53a7f5efd8655c92e9a411"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac96923d75e06bd432f151784b30cb2ef"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ac96923d75e06bd432f151784b30cb2ef">alexaClientSDK::capabilityAgents::alerts::ALERTS_CAPABILITY_INTERFACE_VERSION</a> = &quot;1.3&quot;</td></tr>
<tr class="memdesc:ac96923d75e06bd432f151784b30cb2ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Alerts interface version.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ac96923d75e06bd432f151784b30cb2ef">More...</a><br /></td></tr>
<tr class="separator:ac96923d75e06bd432f151784b30cb2ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25182825b2c27b809161c8ec180f548d"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a25182825b2c27b809161c8ec180f548d">alexaClientSDK::capabilityAgents::alerts::KEY_TYPE</a> = &quot;type&quot;</td></tr>
<tr class="memdesc:a25182825b2c27b809161c8ec180f548d"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value for Type which we need for json parsing.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a25182825b2c27b809161c8ec180f548d">More...</a><br /></td></tr>
<tr class="separator:a25182825b2c27b809161c8ec180f548d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58f8130725402cb339823fbcc91422db"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a58f8130725402cb339823fbcc91422db">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_NAME_SET_ALERT</a> = &quot;SetAlert&quot;</td></tr>
<tr class="memdesc:a58f8130725402cb339823fbcc91422db"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the SetAlert Directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a58f8130725402cb339823fbcc91422db">More...</a><br /></td></tr>
<tr class="separator:a58f8130725402cb339823fbcc91422db"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a463764962c1e2ea4289ef9822a5ead18"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a463764962c1e2ea4289ef9822a5ead18">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_NAME_DELETE_ALERT</a> = &quot;DeleteAlert&quot;</td></tr>
<tr class="memdesc:a463764962c1e2ea4289ef9822a5ead18"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the DeleteAlert Directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a463764962c1e2ea4289ef9822a5ead18">More...</a><br /></td></tr>
<tr class="separator:a463764962c1e2ea4289ef9822a5ead18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3af30fb05a2a4d993f98f1a0ce127677"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3af30fb05a2a4d993f98f1a0ce127677">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_NAME_DELETE_ALERTS</a> = &quot;DeleteAlerts&quot;</td></tr>
<tr class="memdesc:a3af30fb05a2a4d993f98f1a0ce127677"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the DeleteAlerts Directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3af30fb05a2a4d993f98f1a0ce127677">More...</a><br /></td></tr>
<tr class="separator:a3af30fb05a2a4d993f98f1a0ce127677"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a05cac2c016275ecb9037b2d7d1f57c6c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a05cac2c016275ecb9037b2d7d1f57c6c">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_NAME_SET_VOLUME</a> = &quot;SetVolume&quot;</td></tr>
<tr class="memdesc:a05cac2c016275ecb9037b2d7d1f57c6c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the SetVolume Directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a05cac2c016275ecb9037b2d7d1f57c6c">More...</a><br /></td></tr>
<tr class="separator:a05cac2c016275ecb9037b2d7d1f57c6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8d7f2872cdf7cb19b924a47f16fa4a1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ab8d7f2872cdf7cb19b924a47f16fa4a1">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_NAME_ADJUST_VOLUME</a> = &quot;AdjustVolume&quot;</td></tr>
<tr class="memdesc:ab8d7f2872cdf7cb19b924a47f16fa4a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the AdjustVolume Directive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ab8d7f2872cdf7cb19b924a47f16fa4a1">More...</a><br /></td></tr>
<tr class="separator:ab8d7f2872cdf7cb19b924a47f16fa4a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61be773fe93a7bdd7b7e684ae5de19b2"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a61be773fe93a7bdd7b7e684ae5de19b2">alexaClientSDK::capabilityAgents::alerts::SET_ALERT_SUCCEEDED_EVENT_NAME</a> = &quot;SetAlertSucceeded&quot;</td></tr>
<tr class="memdesc:a61be773fe93a7bdd7b7e684ae5de19b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the SetAlertSucceeded Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a61be773fe93a7bdd7b7e684ae5de19b2">More...</a><br /></td></tr>
<tr class="separator:a61be773fe93a7bdd7b7e684ae5de19b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3993866a905c3401cfcd285d606ca226"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3993866a905c3401cfcd285d606ca226">alexaClientSDK::capabilityAgents::alerts::SET_ALERT_FAILED_EVENT_NAME</a> = &quot;SetAlertFailed&quot;</td></tr>
<tr class="memdesc:a3993866a905c3401cfcd285d606ca226"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the SetAlertFailed Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3993866a905c3401cfcd285d606ca226">More...</a><br /></td></tr>
<tr class="separator:a3993866a905c3401cfcd285d606ca226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4f36aa9965586fb5bc9d6ba7a2fc853"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ad4f36aa9965586fb5bc9d6ba7a2fc853">alexaClientSDK::capabilityAgents::alerts::DELETE_ALERT_SUCCEEDED_EVENT_NAME</a> = &quot;DeleteAlertSucceeded&quot;</td></tr>
<tr class="memdesc:ad4f36aa9965586fb5bc9d6ba7a2fc853"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the DeleteAlertSucceeded Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ad4f36aa9965586fb5bc9d6ba7a2fc853">More...</a><br /></td></tr>
<tr class="separator:ad4f36aa9965586fb5bc9d6ba7a2fc853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a64f573691a2e53c1eb68574e567b260e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a64f573691a2e53c1eb68574e567b260e">alexaClientSDK::capabilityAgents::alerts::DELETE_ALERT_FAILED_EVENT_NAME</a> = &quot;DeleteAlertFailed&quot;</td></tr>
<tr class="memdesc:a64f573691a2e53c1eb68574e567b260e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the DeleteAlertFailed Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a64f573691a2e53c1eb68574e567b260e">More...</a><br /></td></tr>
<tr class="separator:a64f573691a2e53c1eb68574e567b260e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af274b7532a8239f7b40ed5db72c92e10"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#af274b7532a8239f7b40ed5db72c92e10">alexaClientSDK::capabilityAgents::alerts::ALERT_STARTED_EVENT_NAME</a> = &quot;AlertStarted&quot;</td></tr>
<tr class="memdesc:af274b7532a8239f7b40ed5db72c92e10"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the AlertStarted Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#af274b7532a8239f7b40ed5db72c92e10">More...</a><br /></td></tr>
<tr class="separator:af274b7532a8239f7b40ed5db72c92e10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f9265657ec8c43ca697b51773b9adc6"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a9f9265657ec8c43ca697b51773b9adc6">alexaClientSDK::capabilityAgents::alerts::ALERT_STOPPED_EVENT_NAME</a> = &quot;AlertStopped&quot;</td></tr>
<tr class="memdesc:a9f9265657ec8c43ca697b51773b9adc6"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the AlertStopped Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a9f9265657ec8c43ca697b51773b9adc6">More...</a><br /></td></tr>
<tr class="separator:a9f9265657ec8c43ca697b51773b9adc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77b526e44807fd33a3134d4037df85a0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a77b526e44807fd33a3134d4037df85a0">alexaClientSDK::capabilityAgents::alerts::ALERT_ENTERED_FOREGROUND_EVENT_NAME</a> = &quot;AlertEnteredForeground&quot;</td></tr>
<tr class="memdesc:a77b526e44807fd33a3134d4037df85a0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the AlertEnteredForeground Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a77b526e44807fd33a3134d4037df85a0">More...</a><br /></td></tr>
<tr class="separator:a77b526e44807fd33a3134d4037df85a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19c31b1465bac4f35ce27b186305eb98"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a19c31b1465bac4f35ce27b186305eb98">alexaClientSDK::capabilityAgents::alerts::ALERT_ENTERED_BACKGROUND_EVENT_NAME</a> = &quot;AlertEnteredBackground&quot;</td></tr>
<tr class="memdesc:a19c31b1465bac4f35ce27b186305eb98"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the AlertEnteredBackground Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a19c31b1465bac4f35ce27b186305eb98">More...</a><br /></td></tr>
<tr class="separator:a19c31b1465bac4f35ce27b186305eb98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab78cc0ece49f88b748f9be4f58d408ec"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ab78cc0ece49f88b748f9be4f58d408ec">alexaClientSDK::capabilityAgents::alerts::ALERT_VOLUME_CHANGED_EVENT_NAME</a> = &quot;VolumeChanged&quot;</td></tr>
<tr class="memdesc:ab78cc0ece49f88b748f9be4f58d408ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the VolumeChanged Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ab78cc0ece49f88b748f9be4f58d408ec">More...</a><br /></td></tr>
<tr class="separator:ab78cc0ece49f88b748f9be4f58d408ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a995733649f46741ea17419e010dac83b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a995733649f46741ea17419e010dac83b">alexaClientSDK::capabilityAgents::alerts::ALERT_DELETE_ALERTS_SUCCEEDED_EVENT_NAME</a> = &quot;DeleteAlertsSucceeded&quot;</td></tr>
<tr class="memdesc:a995733649f46741ea17419e010dac83b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the DeleteAlertsSucceeded Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a995733649f46741ea17419e010dac83b">More...</a><br /></td></tr>
<tr class="separator:a995733649f46741ea17419e010dac83b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e234a90fd2ad9f7ee16baa810252b7c"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3e234a90fd2ad9f7ee16baa810252b7c">alexaClientSDK::capabilityAgents::alerts::ALERT_DELETE_ALERTS_FAILED_EVENT_NAME</a> = &quot;DeleteAlertsFailed&quot;</td></tr>
<tr class="memdesc:a3e234a90fd2ad9f7ee16baa810252b7c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the DeleteAlertsFailed Event name.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3e234a90fd2ad9f7ee16baa810252b7c">More...</a><br /></td></tr>
<tr class="separator:a3e234a90fd2ad9f7ee16baa810252b7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90820be5637255aa4162b0f833d612cf"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a90820be5637255aa4162b0f833d612cf">alexaClientSDK::capabilityAgents::alerts::EVENT_PAYLOAD_TOKEN_KEY</a> = &quot;token&quot;</td></tr>
<tr class="memdesc:a90820be5637255aa4162b0f833d612cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the event payload key for a single token.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a90820be5637255aa4162b0f833d612cf">More...</a><br /></td></tr>
<tr class="separator:a90820be5637255aa4162b0f833d612cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd4a06a901c1404877d614a6b853198b"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#abd4a06a901c1404877d614a6b853198b">alexaClientSDK::capabilityAgents::alerts::EVENT_PAYLOAD_TOKENS_KEY</a> = &quot;tokens&quot;</td></tr>
<tr class="memdesc:abd4a06a901c1404877d614a6b853198b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the event payload key for multiple tokens.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#abd4a06a901c1404877d614a6b853198b">More...</a><br /></td></tr>
<tr class="separator:abd4a06a901c1404877d614a6b853198b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac8f658eeffad89a62988e6cecca8c4"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a2ac8f658eeffad89a62988e6cecca8c4">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_PAYLOAD_TOKEN_KEY</a> = &quot;token&quot;</td></tr>
<tr class="memdesc:a2ac8f658eeffad89a62988e6cecca8c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of Token text in a Directive we may receive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a2ac8f658eeffad89a62988e6cecca8c4">More...</a><br /></td></tr>
<tr class="separator:a2ac8f658eeffad89a62988e6cecca8c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ac08c8cfc0d66e8004c42527294001f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3ac08c8cfc0d66e8004c42527294001f">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_PAYLOAD_TOKENS_KEY</a> = &quot;tokens&quot;</td></tr>
<tr class="memdesc:a3ac08c8cfc0d66e8004c42527294001f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of Token list key in a Directive we may receive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3ac08c8cfc0d66e8004c42527294001f">More...</a><br /></td></tr>
<tr class="separator:a3ac08c8cfc0d66e8004c42527294001f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac577769ca6cdb77d4c8126bf25a3d3a1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ac577769ca6cdb77d4c8126bf25a3d3a1">alexaClientSDK::capabilityAgents::alerts::DIRECTIVE_PAYLOAD_VOLUME</a> = &quot;volume&quot;</td></tr>
<tr class="memdesc:ac577769ca6cdb77d4c8126bf25a3d3a1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of volume key in a Directive we may receive.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#ac577769ca6cdb77d4c8126bf25a3d3a1">More...</a><br /></td></tr>
<tr class="separator:ac577769ca6cdb77d4c8126bf25a3d3a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c30d260316cd02941460036ee091ec"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a00c30d260316cd02941460036ee091ec">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_HEADER_NAMESPACE_VALUE_KEY</a> = &quot;Alerts&quot;</td></tr>
<tr class="separator:a00c30d260316cd02941460036ee091ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2f418fbfcf67873b78971a1322e3922"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#af2f418fbfcf67873b78971a1322e3922">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_HEADER_NAME_VALUE_KEY</a> = &quot;AlertsState&quot;</td></tr>
<tr class="memdesc:af2f418fbfcf67873b78971a1322e3922"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the Alerts Context Names.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#af2f418fbfcf67873b78971a1322e3922">More...</a><br /></td></tr>
<tr class="separator:af2f418fbfcf67873b78971a1322e3922"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e23e46eaff371fcc669f573b8c93fb1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a8e23e46eaff371fcc669f573b8c93fb1">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_ALL_ALERTS_TOKEN_KEY</a> = &quot;allAlerts&quot;</td></tr>
<tr class="memdesc:a8e23e46eaff371fcc669f573b8c93fb1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the Alerts Context allAlerts node.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a8e23e46eaff371fcc669f573b8c93fb1">More...</a><br /></td></tr>
<tr class="separator:a8e23e46eaff371fcc669f573b8c93fb1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c814f2fc893dc5ffee8320ac1af85d0"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a6c814f2fc893dc5ffee8320ac1af85d0">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_ACTIVE_ALERTS_TOKEN_KEY</a> = &quot;activeAlerts&quot;</td></tr>
<tr class="memdesc:a6c814f2fc893dc5ffee8320ac1af85d0"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the Alerts Context activeAlerts node.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a6c814f2fc893dc5ffee8320ac1af85d0">More...</a><br /></td></tr>
<tr class="separator:a6c814f2fc893dc5ffee8320ac1af85d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afdb5c141d66b11c09fe76b6d738c99b5"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#afdb5c141d66b11c09fe76b6d738c99b5">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_ALERT_TOKEN_KEY</a> = &quot;token&quot;</td></tr>
<tr class="memdesc:afdb5c141d66b11c09fe76b6d738c99b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the Alerts Context token key.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#afdb5c141d66b11c09fe76b6d738c99b5">More...</a><br /></td></tr>
<tr class="separator:afdb5c141d66b11c09fe76b6d738c99b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaea8b7493ea1bbf35e3e24e01e1ea5fa"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aaea8b7493ea1bbf35e3e24e01e1ea5fa">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_ALERT_TYPE_KEY</a> = &quot;type&quot;</td></tr>
<tr class="memdesc:aaea8b7493ea1bbf35e3e24e01e1ea5fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the Alerts Context type key.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aaea8b7493ea1bbf35e3e24e01e1ea5fa">More...</a><br /></td></tr>
<tr class="separator:aaea8b7493ea1bbf35e3e24e01e1ea5fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aadd3d3fd386454fa8f9281b94981ac09"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aadd3d3fd386454fa8f9281b94981ac09">alexaClientSDK::capabilityAgents::alerts::AVS_CONTEXT_ALERT_SCHEDULED_TIME_KEY</a> = &quot;scheduledTime&quot;</td></tr>
<tr class="memdesc:aadd3d3fd386454fa8f9281b94981ac09"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the Alerts Context scheduled time key.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aadd3d3fd386454fa8f9281b94981ac09">More...</a><br /></td></tr>
<tr class="separator:aadd3d3fd386454fa8f9281b94981ac09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a362c6399c6a687b18419098cf18752c1"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a362c6399c6a687b18419098cf18752c1">alexaClientSDK::capabilityAgents::alerts::AVS_PAYLOAD_VOLUME_KEY</a> = &quot;volume&quot;</td></tr>
<tr class="memdesc:a362c6399c6a687b18419098cf18752c1"><td class="mdescLeft">&#160;</td><td class="mdescRight">The value of the volume state info volume key.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a362c6399c6a687b18419098cf18752c1">More...</a><br /></td></tr>
<tr class="separator:a362c6399c6a687b18419098cf18752c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aabefbf50601ce7f3f12e19cebd127f99"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aabefbf50601ce7f3f12e19cebd127f99">alexaClientSDK::capabilityAgents::alerts::EMPTY_DIALOG_REQUEST_ID</a> = &quot;&quot;</td></tr>
<tr class="memdesc:aabefbf50601ce7f3f12e19cebd127f99"><td class="mdescLeft">&#160;</td><td class="mdescRight">An empty dialogRequestId.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aabefbf50601ce7f3f12e19cebd127f99">More...</a><br /></td></tr>
<tr class="separator:aabefbf50601ce7f3f12e19cebd127f99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a445ecf8797b8ccd4c8e2056ee8ef6fee"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a445ecf8797b8ccd4c8e2056ee8ef6fee">alexaClientSDK::capabilityAgents::alerts::NAMESPACE</a> = &quot;Alerts&quot;</td></tr>
<tr class="memdesc:a445ecf8797b8ccd4c8e2056ee8ef6fee"><td class="mdescLeft">&#160;</td><td class="mdescRight">The namespace for this capability agent.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a445ecf8797b8ccd4c8e2056ee8ef6fee">More...</a><br /></td></tr>
<tr class="separator:a445ecf8797b8ccd4c8e2056ee8ef6fee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50b0bea563f7b7fdb8d41c764678264e"><td class="memItemLeft" align="right" valign="top">static const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a50b0bea563f7b7fdb8d41c764678264e">alexaClientSDK::capabilityAgents::alerts::SET_ALERT</a> {NAMESPACE, DIRECTIVE_NAME_SET_ALERT}</td></tr>
<tr class="memdesc:a50b0bea563f7b7fdb8d41c764678264e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SetAlert directive signature.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a50b0bea563f7b7fdb8d41c764678264e">More...</a><br /></td></tr>
<tr class="separator:a50b0bea563f7b7fdb8d41c764678264e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03205860a18b5820e126de7416165be7"><td class="memItemLeft" align="right" valign="top">static const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a03205860a18b5820e126de7416165be7">alexaClientSDK::capabilityAgents::alerts::DELETE_ALERT</a> {NAMESPACE, DIRECTIVE_NAME_DELETE_ALERT}</td></tr>
<tr class="memdesc:a03205860a18b5820e126de7416165be7"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DeleteAlert directive signature.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a03205860a18b5820e126de7416165be7">More...</a><br /></td></tr>
<tr class="separator:a03205860a18b5820e126de7416165be7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3693ea03aefbe82791931e042f2143d5"><td class="memItemLeft" align="right" valign="top">static const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3693ea03aefbe82791931e042f2143d5">alexaClientSDK::capabilityAgents::alerts::DELETE_ALERTS</a> {NAMESPACE, DIRECTIVE_NAME_DELETE_ALERTS}</td></tr>
<tr class="memdesc:a3693ea03aefbe82791931e042f2143d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The DeleteAlerts directive signature.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a3693ea03aefbe82791931e042f2143d5">More...</a><br /></td></tr>
<tr class="separator:a3693ea03aefbe82791931e042f2143d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52cc57cfc13613c57f6ce3deae3c92c5"><td class="memItemLeft" align="right" valign="top">static const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a52cc57cfc13613c57f6ce3deae3c92c5">alexaClientSDK::capabilityAgents::alerts::SET_VOLUME</a> {NAMESPACE, DIRECTIVE_NAME_SET_VOLUME}</td></tr>
<tr class="memdesc:a52cc57cfc13613c57f6ce3deae3c92c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SetVolume directive signature.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#a52cc57cfc13613c57f6ce3deae3c92c5">More...</a><br /></td></tr>
<tr class="separator:a52cc57cfc13613c57f6ce3deae3c92c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf07b3f03cf7aee2f2cb83ba8f9c9888"><td class="memItemLeft" align="right" valign="top">static const avsCommon::avs::NamespaceAndName&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aaf07b3f03cf7aee2f2cb83ba8f9c9888">alexaClientSDK::capabilityAgents::alerts::ADJUST_VOLUME</a> {NAMESPACE, DIRECTIVE_NAME_ADJUST_VOLUME}</td></tr>
<tr class="memdesc:aaf07b3f03cf7aee2f2cb83ba8f9c9888"><td class="mdescLeft">&#160;</td><td class="mdescRight">The AdjustVolume directive signature.  <a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1alerts.html#aaf07b3f03cf7aee2f2cb83ba8f9c9888">More...</a><br /></td></tr>
<tr class="separator:aaf07b3f03cf7aee2f2cb83ba8f9c9888"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ad8bc9ca8e55a0ebf538e46e28bf26262"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad8bc9ca8e55a0ebf538e46e28bf26262">&#9670;&nbsp;</a></span>LX</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LX</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">event</td><td>)</td>
          <td>&#160;&#160;&#160;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html">alexaClientSDK::avsCommon::utils::logger::LogEntry</a>(<a class="el" href="_u_i_manager_8cpp.html#ada5473a95becdcf63a8f83e7f05fefe7">TAG</a>, event)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Create a LogEntry using this file's TAG and the specified event string.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">The</td><td>event string for this <code>LogEntry</code>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
